import { View } from '@tarojs/components'
import React, { useCallback, memo, useEffect, useMemo, useRef, useState, ReactNode } from 'react'
import styles from "./index.module.scss"
import classnames from "classnames";
import Taro, { usePullDownRefresh, useRouter, useDidShow } from '@tarojs/taro';
import { alert } from '@/common/common'
import { formatPriceDiv, formatDateTime, formatWeightDiv } from '@/common/format'
import IconFont from '@/components/iconfont/iconfont'
interface Props {
    obj: any
}

export default memo((props: Props) => {

    const handPhone = () => {
        Taro.makePhoneCall({
            phoneNumber: props.obj?.phone
        })
    }

    const handNav = () => {
        Taro.navigateTo({
            url: '/pages/customerDetails/index?purchaser_id=' + props.obj?.id
        })
    }

    return (
        <View className={styles.mainItem} onClick={() => handNav()}>
            <View className={styles.itemTop}>
                <View className={styles.itemLeft}>
                    <View className={styles.itemCile}>欧</View>
                    <View className={styles.item_top_one}>
                        <View className={styles.item_top_one_flex}>
                            <View className={styles.itemName}>欧阳斌峰</View>
                            <View className={styles.itemPhone}>133****7761</View>
                        </View>
                        <View className={styles.item_tag_box}>
                            <View className={styles.item_tagItem}>二批</View>
                            <View className={styles.item_tagItem}>二批</View>
                        </View>
                    </View>
                </View>
                <View className={styles.itemRight} onClick={() => handPhone()}>
                    <IconFont name={'icon-dizhi'} size={30} color={'#5C5C66'}></IconFont>
                    <View className={styles.phoneFont}>联系TA</View>
                </View>
            </View>
            <View className={styles.line}></View>
            <View className={styles.flex_bottom}>
                <View className={styles.flex_left}>广东省广州市海珠区</View>
                <View className={styles.flex_right}>更新时间：2022-09-20  17:10</View>
            </View>
        </View >
    )
})